/*
   File       : oqs_ins_table_where.sql
	 Author     : Verweyen Consulting
	              Georg Verweyen
	 History    : 20070406 Creation
	 Parameters : &1 owner of the table
	              &2 name of the table
								&3 name of the restricted attribut
								&4 value of the restricted attribut
	 Tables     : oqs_meta_data     Insert
	 Description: transfers the oracle metadata of a table 
	              combinate with the QS rules for the 
								column type into the table oqs_meta_data
*/
insert into oqs_meta_data  
select a.owner, 
       a.table_name, 
			 a.column_name,
       a.column_len, 
       a.column_type,
			 substr(a.kpi_name||' & '||upper('&3.')||'='||'&4.',
			        case WHEN length(a.kpi_name||' & '||upper('&3.')||'='||'&4.') <= 82
							      THEN 1 ELSE
									 82-length(a.kpi_name||' & '||upper('&3.')||'='||'&4.')
							END
							,82),
			 a.kpi_type,
			 a.kpi_group,
			 b.column_name   as kpiwh_name,
			 b.column_type   as kpiwh_type,
			 '&4.'           as kpiwh_value
  from oqs_meta_data a,
	     (select distinct column_name, column_type
			    from oqs_meta_data 
				 where owner       = upper('&1.')
				   and table_name  = upper('&2.')
        	 and column_name = upper('&3.')
				   and kpiwh_name  is null
				) b
 where a.owner      = upper('&1.')
   and a.table_name = upper('&2.')
	 and a.kpiwh_name is null
	 and a.column_name<> upper('&3.')
;
commit;
