/*
   File       : oqs_toggle_kpi_meta.sql
	 Author     : Verweyen Consulting
	              Georg Verweyen
	 History    : 20070407 Creation
	 Parameters : &1 name of the kpi
	              &2 attribut type (NUMBER or VARCHAR2) 
	 Tables     : oqs_kpi_type      Select Update
	 Description: Toggle the active status of a KPI
*/
set verify off
set echo off
UPDATE oqs_kpi_type
   SET active = CASE active 
	                WHEN 'Y' THEN 'N'
								  ELSE 'Y'
								END
 WHERE kpi_type = upper('&1.')
   AND column_type = upper(substr('&2.',1,1))
;
commit;
SELECT DECODE(column_type,'V','VARCHAR2','N','NUMBER','-Unkown-') "Col.-Typ", 
       SUM(DECODE(active,'Y',1,0)) "# active", 
			 SUM(DECODE(active,'N',1,0)) "# not active"
	FROM oqs_kpi_type
 GROUP BY DECODE(column_type,'V','VARCHAR2','N','NUMBER','-Unkown-')
;
select kpi_type,
       CASE SUM(DECODE(column_type,'V',DECODE(active,'Y',1,0),0))
			   WHEN 0 THEN '    -   '
				 ELSE '    X   '
			 END "VARCHAR2",
			 CASE SUM(DECODE(column_type,'N',DECODE(active,'Y',1,0),0))
			   WHEN 0 THEN '   -  '
				 ELSE '   X  '
			 END "NUMBER"
  FROM oqs_kpi_type
 GROUP BY kpi_type
 ORDER BY 1
;
